<?php
// Version: 2.1; SimplePortal Language Strings.
// Last Revision: November 23rd by Jade (Alundra). I dub this the boring file, because on average there's about 3 words a string.

// SP General
$txt['sp-forum'] = 'Forum';
$txt['sp-portal'] = 'Portal';
$txt['sp-adminTitle'] = 'SimplePortal Admin';
$txt['sp-adminCatTitle'] = 'SimplePortal';
$txt['sp-make_article'] = 'Add an Article';
$txt['sp-dot'] = 'Dot';
$txt['sp-arrow'] = 'Arrow';

// Error Messages.
$txt['error_sp_no_message_id'] = 'Invalid message ID.';
$txt['error_sp_article_exists'] = 'This article already exists.';
$txt['error_sp_cannot_add_article'] = 'You don\'t have permission to add an article.';
$txt['error_sp_name_empty'] = 'The name field was left empty.';
$txt['error_sp_name_double'] = 'That name is already in use. Please use a different name.';
$txt['error_sp_no_category'] = 'Sorry, articles require categories to be published! Please create a category for articles.';
$txt['error_sp_no_category_normaluser'] = 'Sorry, articles require categories to be published! Please ask an administrator to create a category for articles.';
$txt['error_sp_no_category_sp_moderator'] = 'A new category can be created <a href="%s">here</a>.';
$txt['error_sp_side_wrong'] = 'Wrong side selected.';
$txt['error_sp_block_wrong'] = 'Wrong block selected.';
$txt['error_php_syntax'] = 'PHP Syntax Error. Please check the code.';

// SP Permissions
$txt['permissiongroup_sp'] = 'SimplePortal';
$txt['permissiongroup_simple_sp'] = 'SimplePortal';
$txt['permissionname_sp_moderate'] = 'Moderate portal';
$txt['permissionhelp_sp_moderate'] = 'This permission allows users to access the SimplePortal administration panel.';
$txt['permissionname_sp_add_article'] = 'Can add article';
$txt['permissionhelp_sp_add_article'] = 'This permission allows users to add articles.';
$txt['permissionname_sp_auto_article_approval'] = 'Automatic article approval';
$txt['permissionhelp_sp_auto_article_approval'] = 'This permission allows users to add articles without requiring approval.';
/*
	The rest of the language strings in this file will probably be moved when we create the block type management system. ;D
*/
// Function Labels
$txt['sp_function_sp_userInfo_label'] = 'User Info Block';
$txt['sp_function_sp_latestMember_label'] = 'Latest Member Block';
$txt['sp_function_sp_whosOnline_label'] = 'Who\'s Online Block';
$txt['sp_function_sp_showPoll_label'] = 'Display Poll Block';
$txt['sp_function_sp_boardStats_label'] = 'Board Stats Block';
$txt['sp_function_sp_quickSearch_label'] = 'Quick Search Block';
$txt['sp_function_sp_topPoster_label'] = 'Top Poster Block';
$txt['sp_function_sp_topBoards_label'] = 'Top Boards Block';
$txt['sp_function_sp_topTopics_label'] = 'Top Topics Block';
$txt['sp_function_sp_recent_label'] = 'Recent Side Block';
$txt['sp_function_sp_recentPosts_label'] = 'Recent Posts Block';
$txt['sp_function_sp_recentTopics_label'] = 'Recent Topics Block';
$txt['sp_function_sp_boardNews_label'] = 'Board News Block';
$txt['sp_function_sp_news_label'] = 'News Block';
$txt['sp_function_sp_smfShop_label'] = 'SMF Shop Block';
$txt['sp_function_sp_smfArcade_label'] = 'SMF Arcade Block';
$txt['sp_function_sp_smfGallery_label'] = 'SMF Gallery Block';
$txt['sp_function_sp_bbc_label'] = 'BBC Block';
$txt['sp_function_sp_html_label'] = 'HTML Block';
$txt['sp_function_sp_php_label'] = 'PHP Block';
$txt['sp_function_sp_attachmentImage_label'] = 'Recent Image Attachments Block';
$txt['sp_function_sp_attachmentRecent_label'] = 'Recent Attachments Block';
$txt['sp_function_sp_mgallery_label'] = 'Media Gallery Block';
$txt['sp_function_sp_calendarInformation_label'] = 'Calendar Block';
$txt['sp_function_sp_rssFeed_label'] = 'RSS Feed Block';
$txt['sp_function_unkown_label'] = 'Unknown Block Type';

// Function Descriptions
$txt['sp_function_sp_latestMember_desc'] = 'Displays the latest member with their avatar.';
$txt['sp_function_sp_userInfo_desc'] = 'Displays user information if the user is logged in, and a login box if the user is a guest.';
$txt['sp_function_sp_whosOnline_desc'] = 'Displays the who\'s online list.';
$txt['sp_function_sp_showPoll_desc'] = 'Displays a poll with voting options if the viewer can vote, or the results if the viewer is unable to vote.';
$txt['sp_function_sp_boardStats_desc'] = 'Displays some statistical information about the forum.';
$txt['sp_function_sp_quickSearch_desc'] = 'Displays a simple quick search form.';
$txt['sp_function_sp_topPoster_desc'] = 'Displays the top posters with their post count and avatars.';
$txt['sp_function_sp_topBoards_desc'] = 'Displays a list of boards in order of their activity.';
$txt['sp_function_sp_topTopics_desc'] = 'Displays a list topics according to their activity.';
$txt['sp_function_sp_recent_desc'] = 'Displays a list of the forums recent posts or topics in a smaller way for side blocks.';
$txt['sp_function_sp_recentPosts_desc'] = 'Displays a list of the forums recent posts.';
$txt['sp_function_sp_recentTopics_desc'] = 'Displays a list of the forums recent topics.';
$txt['sp_function_sp_boardNews_desc'] = 'Displays a list of posts from a selected board.';
$txt['sp_function_sp_news_desc'] = 'Displays a random news line.';
$txt['sp_function_sp_smfShop_desc'] = 'Displays a list of recently purchased items.';
$txt['sp_function_sp_smfArcade_desc'] = 'Displays a list of the top players and the last winner.';
$txt['sp_function_sp_smfGallery_desc'] = 'Displays either the last image added to the gallery or a random image.';
$txt['sp_function_sp_bbc_desc'] = 'A custom block where you can add your own BBC content.';
$txt['sp_function_sp_html_desc'] = 'A custom block where you can add your own HTML content.';
$txt['sp_function_sp_php_desc'] = 'A custom block where you can add your own PHP content.';
$txt['sp_function_sp_attachmentImage_desc'] = 'Displays a list of recent attached images.';
$txt['sp_function_sp_attachmentRecent_desc'] = 'Displays a list of recent attachments.';
$txt['sp_function_sp_calendarInformation_desc'] = 'Displays calendar information such as birthdays, events and holidays.';
$txt['sp_function_sp_mgallery_desc'] = 'Displays a list of recent items from the Media Gallery.';
$txt['sp_function_sp_rssFeed_desc'] = 'Displays an RSS Feed.';

// Function Parameters
$txt['sp_function_sp_showPoll_param1'] = 'Topic ID';
$txt['sp_function_sp_topPoster_param1'] = 'Top posters to display';
$txt['sp_function_sp_topBoards_param1'] = 'Boards to display';
$txt['sp_function_sp_topTopics_param1'] = 'Sorting type (0 = replies, 1 = views)';
$txt['sp_function_sp_topTopics_param2'] = 'Topics to display';
$txt['sp_function_sp_recentPosts_param1'] = 'Recent posts to display';
$txt['sp_function_sp_recentTopics_param1'] = 'Recent topics to display';
$txt['sp_function_sp_recent_param1'] = 'Recent posts or topics to display';
$txt['sp_function_sp_recent_param2'] = 'Display Type: (0 = posts or 1 = topics)';
$txt['sp_function_sp_boardNews_param1'] = 'Board ID';
$txt['sp_function_sp_boardNews_param2'] = 'Topics to display';
$txt['sp_function_sp_boardNews_param3'] = 'Starting post ID';
$txt['sp_function_sp_boardNews_param4'] = 'Maximum characters before cut-off';
$txt['sp_function_sp_boardNews_param5'] = 'Display avatars (1 = yes, 0 = no)';
$txt['sp_function_sp_smfArcade_param1'] = 'Top players to display';
$txt['sp_function_sp_smfGallery_param1'] = 'Display type (1 = random, 0 = latest)';
$txt['sp_function_sp_attachmentImage_param1'] = 'Images to display';
$txt['sp_function_sp_attachmentRecent_param1'] = 'Attachments to display';
$txt['sp_function_sp_mgallery_param1'] = 'Items to display';
$txt['sp_function_sp_mgallery_param2'] = 'Display type (1 random, 0 latest)';
$txt['sp_function_sp_calendarInformation_param1'] = 'Show event items (0 = off, 1 = on)';
$txt['sp_function_sp_calendarInformation_param2'] = 'Events in future (Days, 0 = Only Today)';
$txt['sp_function_sp_calendarInformation_param3'] = 'Show birthday items (0 = off, 1 = on)';
$txt['sp_function_sp_calendarInformation_param4'] = 'Show holiday items (0 = off, 1 = on)';
$txt['sp_function_sp_rssFeed_param1'] = 'Feed URL';
$txt['sp_function_sp_html_content'] = 'Custom HTML';
$txt['sp_function_sp_bbc_content'] = 'Custom BBC';
$txt['sp_function_sp_php_content'] = 'Custom PHP';

// SP Blocks
$txt['sp-userkarma'] = 'Karma';
$txt['sp-usertmessage'] = 'Total Messages';
$txt['sp-usernmessage'] = 'New Messages';
$txt['sp-onlineguest'] = 'Online Guests';
$txt['sp-onlineuser'] = 'Online Users';
$txt['sp-onlinehuser'] = 'Hidden Users';
$txt['sp-onlinetuser'] = 'Total Users';
$txt['sp-onlineouser'] = 'Online Users';
$txt['sp-tposterpost'] = ' posts';
$txt['sp-grpictureviews'] = 'Views:';
$txt['sp-grpicturesender'] = 'By:';
$txt['sp-grpictureguest'] = 'Guest';
$txt['sp-arcadeplay'] = 'The Top Players';
$txt['sp-arcadewin'] = 'Number Of Wins:';
$txt['sp-arcadelate'] = 'Latest High Score by ';
$txt['sp-arcadewit'] = 'with ';
$txt['sp-arcadeon'] = 'on ';
$txt['sp-articlesComments'] = 'Comments';
$txt['sp-articlesViews'] = 'Views';
$txt['sp-articlesPages'] = 'Pages';
$txt['sp-shop_nothingPurchased'] = 'Nothing is purchased.';
$txt['sp-gallery_noPicture'] = 'Sorry! There are no pictures in the gallery yet.';
$txt['sp-arcade_nonewchamp'] = 'Could not get the newest champion.';
$txt['sp-arcade_nogame'] = 'Sorry! There are no games installed yet.';
$txt['sp-downloadsCount'] = 'Downloads'; 
$txt['sp-downloadsPoster'] = 'Posted by';
$txt['sp_calendar_noEventsFound'] = 'Sorry! There are no calendar items avaible at the moment.';
$txt['sp_calendar_events'] = 'Today Events';
$txt['sp_calendar_upcomingEvents'] = 'Upcoming Events';
$txt['sp_calendar_holidays'] = 'Holidays';
$txt['sp_calendar_birthdays'] = 'Birthdays';

//Block Errors
$txt['sp-arcade_error'] = 'Could not find the arcade installation';
$txt['sp-shop_error'] = 'Could not find the shop installation';
$txt['sp-gallery_error'] = 'Could not find the gallery installation';
$txt['sp-mgallery_error'] = 'Could not find the Media Gallery installation';

?>