<?php
/*

File: SPortal1-1.template.php
Version: SimplePortal 2.1 for SMF 1.x

*/

function template_main()
{
	global $context, $txt, $modSettings;
	
	echo '
		<div style="padding: 5px;">';

	while (!empty($modSettings['articleactive']) && $article = $context['get_articles']())
	{
		echo '
				<div class="tborder">
					<table class="bordercolor" cellspacing="0" width="100%">
						<tr class="catbg">
							<td valign="middle">', $article['message']['icon'], '</td>
							<td valign="middle" width="100%" style="padding: 5px;">', $article['topic']['link'], ' | ', $article['message']['timeyear'], '</td>
						</tr>
						<tr class="windowbg">
							<td style="padding: 5px;"colspan="2">';

		if(!empty($modSettings['articleavatar']) && !empty($article['poster']['avatar']['href']))
			echo '
								<img src="' . $article['poster']['avatar']['href'] . '" alt="' . $article['poster']['name'] . '" width="30" style="float: right;" />
								<div style="font-size: 11px;">', $article['message']['timeday'], ' ', $txt[525], ' ', $article['poster']['link'], '<br />', $txt['sp-articlesViews'], ': ', $article['topic']['views'], ' | ', $txt['sp-articlesComments'], ': ', $article['topic']['replies'], '</div>';
		else
			echo '
								<div style="font-size: 11px;">', $article['message']['timeday'], ' ', $txt[525], ' ', $article['poster']['link'], ' | ', $txt['sp-articlesViews'], ': ', $article['topic']['views'], ' | ', $txt['sp-articlesComments'], ': ', $article['topic']['replies'], '</div>';

		echo '
								<hr />
								<div class="post">', !empty($article['category']['picture']['href']) ? '<div><img src="' . $article['category']['picture']['href'] . '" alt="' . $article['category']['name'] . '" width="90" align="right" /></div>' : '', $article['message']['body'], '<br/><br/>
								</div>
						</tr>
						<tr>
							<td class="windowbg2" colspan="2">
								<div style="float: right; padding: 5px;" >', $article['article']['link'], ' | ',  $article['article']['new_comment'], '</div>
							</td>
						</tr>
					</table>
				</div>
				<br />';
	}

	if(!empty($modSettings['articleactive']))
		echo '<div align="center">', $txt['sp-articlesPages'], ': ', $context['page_index'], '<br /><br /></div>';

	echo '
		</div>';
}

function template_article_add()
{
	global $context, $scripturl, $txt;

	echo '<br />
	<table border="0" align="center" cellspacing="1" cellpadding="4" class="tborder" width="40%">
		<tr class="catbg">
			<td>', $txt['sp-articlesAdd'], '</td>
		</tr>
		<tr class="windowbg2">
			<td align="center">
				<form action="', $scripturl, '?sa=createarticle" method="post" accept-charset="', $context['character_set'], '">
					<table cellpadding="4">
						<tr>
							<th align="right">', $txt['sp-articlesCategory'], ':</th>
							<td align="left">
								<select id="category" name="category">';
								foreach($context['list_categories'] as $category) {
									echo '
									<option value="' . $category['id'] . '">' . $category['name'] . '</option>';
								}
								echo '
								</select>
							</td>
						</tr><tr>
							<td colspan="2" align="center"><input type="submit" name="add_article" value="', $txt['sp-articlesAdd'], '" /></td>
						</tr>
					</table>
				<input type="hidden" name="return" value="', $context['return'], '" />
				<input type="hidden" name="message" value="', $context['message'], '" />
				<input type="hidden" name="sc" value="', $context['session_id'], '" />
				</form>
			</td>
		</tr>
	</table>';
}

?>