<?php
/*

File: SPortalBlocks1-1.template.php
Version: SimplePortal 2.1 for SMF 1.x

*/

function template_portal_above()
{
	global $context, $modSettings;

	sp_collapse_script();

	echo '
	<table cellpadding="5px" width="100%">
		<tr>';
	
	if(!empty($modSettings['showleft']) && !empty($context['SPortal']['blocks']['Left'])) 
	{
		echo '
			<td valign="top"', !empty($modSettings['leftwidth']) ? ' width="' . $modSettings['leftwidth'] . '"' : '', '>';
		
		foreach ($context['SPortal']['blocks']['Left'] as $block)
			template_block($block);

		echo '
			</td>';
	}

	echo '
			<td valign="top">';

	foreach ($context['SPortal']['blocks']['Middle-Top'] as $block)
		template_block($block);
}

function template_portal_below()
{
	global $context, $modSettings;

	echo '
				<br />';
	
	foreach ($context['SPortal']['blocks']['Middle-Bottom'] as $block)
		template_block($block);

	echo '
			</td>';

	if(!empty($modSettings['showright']) && !empty($context['SPortal']['blocks']['Right'])) 
	{
		echo '
			<td valign="top"', !empty($modSettings['rightwidth']) ? ' width="' . $modSettings['rightwidth'] . '"' : '', '>';

		foreach ($context['SPortal']['blocks']['Right'] as $block)
			template_block($block);

		echo '
			</td>';
	}
	echo '
		</tr>
	</table>';
}

function template_block($block)
{
	global $settings;

	if(empty($block['force_view']))
		$block['collapsed'] = sp_collapse_state('sp_block' . $block['id']);
	else
		$block['collapsed'] = false;

	if ($block['type'] == 'sp_boardNews')
	{
		$parameters = explode(',', $block['parameters']);
		$block['type']($parameters);

		echo '
				<br />';

		return;
	}

	echo '
				<div class="tborder">
					<table class="bordercolor" width="100%">
						<tr class="catbg">
							<td style="padding: 5px;">';
	if(empty($block['force_view']))
		echo '
								<a style="float:right;" href="javascript:void(0);" onclick="doCollapseObject(\'sp_block' . $block['id'], '\', \'', $settings['csect_cookie'], '\')"><img id="img_sp_block', $block['id'], '" src="', $settings['images_url'], $block['collapsed'] ? '/expand.gif' : '/collapse.gif', '" alt="*" border="0" /></a>';
	echo '
								', parse_bbc($block['label']), '
							</td>
						</tr>
						<tr class="windowbg" ', (empty($block['force_view']) ? 'id="sp_block' . $block['id'] . '"' : '') , $block['collapsed'] ? ' style="display:none;"' : '', '>
							<td style="padding: 5px;">';

	if(in_array($block['type'], array('sp_bbc', 'sp_html', 'sp_php')))
	{
		$block['type']($block['content']);
	}
	else
	{
		$parameters = explode(',', $block['parameters']);
		$block['type']($parameters);
	}

	echo '
							</td>
						</tr>
					</table>
				</div>

				<br />';
}

function sp_collapse_state($block_id)
{
	global $settings;

	if(isset($settings['collapsed_sects']) && !empty($settings['collapsed_sects']))
	{
		if(array_search($block_id, $settings['collapsed_sects']) === false)
			return false;
		else
			return true;
	}

	return false;
}

function sp_collapse_script()
{
	global $settings, $context;

	$csect_cookie = 'SMF_user_' . $context['user']['id'] . '_CSect';

	if(isset($_COOKIE[$csect_cookie]) && !empty($_COOKIE[$csect_cookie]))
	    $settings['collapsed_sects'] = explode("\n", $_COOKIE[$csect_cookie]);
	$settings['csect_cookie'] = $csect_cookie;

	echo'
<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

var dom_engine = \'\';
if (document.getElementById)
	dom_engine = 1;					// mozilla, opera etc..
else if (document.all)
	dom_engine = 0;					// IE (pls die, kthx)
else if (document.layers)
	dom_engine = 2;					// NS4, should never happen :P

var active_menu = "";
var mouse_over_menu = "";

function getObject(id)
{
	if(dom_engine == 1)
		obj = document.getElementById(id);
	else if(dom_engine == 0)
		obj = document.all[id];
	else if(dom_engine == 2)
		obj = document.layers[id];
		
	return obj;
}

function getCookieFromDocument(cookie_name)
{
	cname = cookie_name + "=";
	clength = document.cookie.length;
	begin = 0;
	
	while (begin < clength) {
	    vbegin = begin + cname.length;
	    if (document.cookie.substring(begin, vbegin) == cname) {
		var end = document.cookie.indexOf (";", vbegin);
		if (end == -1) {
		    end = clength;
		}
		return unescape(document.cookie.substring(vbegin, end));
	    }
	    begin = document.cookie.indexOf(" ", begin) + 1;
	    if (begin == 0)	{
		break;
	    }
	}
	return null;
}

function setCookieToDocument(cookie_name, cookie_expiredate, cookie_value)
{
    document.cookie=cookie_name+"="+escape(cookie_value)+"; expires="+cookie_expiredate.toGMTString()+"; path=/";
}

function saveObjectToCookie(obj, mode, cookiename)
{
	var already_collapsed=getCookieFromDocument(cookiename);
	var temp = new Array();
	cookieExpireDate = new Date();
	cookieExpireDate.setTime(cookieExpireDate.getTime() + 86400*1000*300);			// 300 days expiration date

	if (already_collapsed) {
	    already_collapsed = already_collapsed.split("\n");

	    for (i in already_collapsed) {
		if (already_collapsed[i] != obj && already_collapsed[i] != "")
		    temp[temp.length] = already_collapsed[i];
	    }
	}

	if (mode)
	    temp[temp.length] = obj;

	setCookieToDocument(cookiename, cookieExpireDate, temp.join("\n"));
}

function doCollapseObject(id, cookiename)
{
	obj = getObject(id);	
	imageid = getObject("img_" + id);
	tempobj = getObject(id);
			
	if (obj.style.display == "none") {	// object is collapsed, show it, clear the cookie
	    obj.style.display = "";
	    saveObjectToCookie(id, 0, cookiename);
	    if (imageid) {
		imageid.src = imageid.src.replace(\'expand.gif\', \'collapse.gif\');
	    }
	} else {				// hide the object, save it to the cookie
	    obj.style.display = "none";
	    saveObjectToCookie(id, 1, cookiename);
	    if (imageid) {
		imageid.src = imageid.src.replace(\'collapse.gif\', \'expand.gif\');
	    }
	}
	return false;
}
	// ]]></script>';
}

?>