<?php
// Version: 2.1; SimplePortal Help Language File.
// Last Revision: November 23rd by Jade (Alundra). This file scares me because there are soooo many words. That's a HAZARD zone for spelling mistakes!

global $helptxt;

// Helptext for the "Area" popup help boxes.
$helptxt['sp_ConfigurationArea'] = 'Here you can configure SimplePortal to meet your needs.';
$helptxt['sp_BlocksArea'] = 'Blocks are boxes displayed on the portal page. This section enables existing blocks to be modified, and new ones to be created for the portal page.';
$helptxt['sp_ArticlesArea'] = 'Articles are topics (first post only) which are displayed on the portal page. This section enables existing articles to be modified, and new ones to be created for the portal page.';
$helptxt['sp_CategoriesArea'] = 'Categories hold articles. This section enables existing categories to be modified, and new ones to be created for articles. To create an article there must be at least one category.';

// Helptext for the "Configuration" area.
$helptxt['portalactive'] = 'This will enable the portal page.';
$helptxt['portaltheme'] = 'Select the theme which will be displayed on the portal page.';
$helptxt['sp_disableForumRedirect'] = 'This option disable the ?action=forum redirection, it will go instead to the portal page.';
$helptxt['showleft'] = 'This will enable left side blocks on the portal page.';
$helptxt['showright'] = 'This will enable right side blocks on the portal page.';
$helptxt['leftwidth'] = 'If left side blocks are enabled, their width can be specified here. The width can be specified in pixels (px) or in percentages (%).';
$helptxt['rightwidth'] = 'If right side blocks are enabled, their width can be specified here. The width can be specified in pixels (px) or in percentages (%).';
$helptxt['sp_enableIntegration'] = 'This setting enables blocks for the main forum. It allows the advanced <em>Display Options</em> for each block to be specified.';
$helptxt['sp_IntegrationHide'] = 'Hide blocks in certain forum sections. The <em>Display blocks in Forum</em> setting must be enabled for this to work.';
$helptxt['articleactive'] = 'This setting enables articles to be displayed on the portal page.';
$helptxt['articleperpage'] = 'This sets the maximum amount of articles shown per page.';
$helptxt['articlelength'] = 'This setting allows a limit to be set on the amount of characters an article can display on the portal page. If the article exceeds this limit it will be shortened and have an ellipsis (...) link on the end, which allows the user to view the entire article.';
$helptxt['articleavatar'] = 'If this setting is enabled the authors avatar will be shown along with each article.';
$helptxt['sp_disableColor'] = 'If the Member Color Link mod is installed, this will disable the mod on the portal page (except in the who\'s online list).';

// Helptext for the "Blocks" area.
// Page title area help.
$helptxt['sp-blocksAdd'] = 'This page enables the selected block to be customised and configured.';
$helptxt['sp-blocksSelectType'] = 'This page enables blocks to be created for the portal page. Pre-built blocks or custom content blocks can be created easily by selecting the appropriate options.';
$helptxt['sp-blocksEdit'] = 'This page enables the selected block to be customised and configured.';
// Settings.
$helptxt['sp-blocksPermissionType'] = 'Select if the member needs to be in all of the groups allowed to see the block, one of the groups, or none of the groups (which would be ignoring permissions).';
$helptxt['sp-blocksDisplayOptions'] = 'Display Options';
// "Block List" help.
$helptxt['sp-blocksLeftList'] = 'These blocks are displayed on the left side of the portal.';
$helptxt['sp-blocksTopList'] = 'These blocks are centered at the top of the portal page.';
$helptxt['sp-blocksBottomList'] = 'These blocks are centered at the bottom of the portal page.';
$helptxt['sp-blocksRightList'] = 'These blocks are displayed on the right side of the portal.';

// Helptext for the "Articles" area.
// Page title area help.
$helptxt['sp-articlesAdd'] = 'Add';
$helptxt['sp-articlesEdit'] = 'Edit';
// Settings.
$helptxt['sp-articlesCategory'] = 'Select a category for this article.';
$helptxt['sp-articlesApproved'] = 'Approved';
$helptxt['sp-articlesTopics'] = 'Select the topics to be displayed as articles on the portal page.';
$helptxt['sp-articlesBoards'] = 'Select the board where the topics to be displayed as articles are posted.';

// Helptext for the "Categories" area.
// Page title area help.
$helptxt['sp-categoriesAdd'] = 'This section enables categories to be created for articles. To create articles there must be at least one category.';
$helptxt['sp-categoriesEdit'] = 'This section enables categories to be modified.';
$helptxt['sp-categoriesCategories'] = 'This page displays a list of the current article categories. To create articles there must be at least one category.';
$helptxt['sp-categoriesDelete'] = 'Deleting a category will either delete the articles in it, or move them to another category.';

// Helptext for Parameters for each individual block.
$helptxt['sp_function_sp_showPoll_param1'] = 'The ID of the topic containing the poll to be displayed.';
$helptxt['sp_function_sp_topPoster_param1'] = 'How many top posters to display.';
$helptxt['sp_function_sp_topBoards_param1'] = 'How many boards to gather news from.';
$helptxt['sp_function_sp_topTopics_param1'] = 'Select 0 to sort by replies, or 1 to sort by views.';
$helptxt['sp_function_sp_topTopics_param2'] = 'How many topics to display.';
$helptxt['sp_function_sp_recentPosts_param1'] = 'How many recent posts to display.';
$helptxt['sp_function_sp_recentTopics_param1'] = 'How many recent topics to display.';
$helptxt['sp_function_sp_boardNews_param1'] = 'The ID of the board where the topics come from.';
$helptxt['sp_function_sp_boardNews_param2'] = 'The maximum number of news items to be displayed.';
$helptxt['sp_function_sp_boardNews_param3'] = 'The ID of a particular post to start with (otherwise the first result will be used).';
$helptxt['sp_function_sp_boardNews_param4'] = 'If specified, posts exceeding this limit will be shortened and have an ellipsis (...), or a "Read More" link placed on the end.';
$helptxt['sp_function_sp_boardNews_param5'] = 'Select 1 to show the posters avatar, or 0 to hide them.';
$helptxt['sp_function_sp_smfArcade_param1'] = 'The number of top players to be displayed.';
$helptxt['sp_function_sp_smfGallery_param1'] = 'Display type; select 0 for a random gallery image to be displayed, or 1 for latest gallery image to be displayed.';
$helptxt['sp_function_sp_attachmentImage_param1'] = 'How many recent attached images to display.';
$helptxt['sp_function_sp_attachmentRecent_param1'] = 'How many recent attachments to display.';
$helptxt['sp_function_sp_mgallery_param1'] = 'How many items to display.';
$helptxt['sp_function_sp_mgallery_param2'] = 'Display type; select 0 for a random media gallery items to be displayed, or 1 for latest media gallery items to be displayed.';
$helptxt['sp_function_sp_recent_param1'] = 'How many recent posts or topics to display.';
$helptxt['sp_function_sp_recent_param2'] = 'Display type; select 0 for a posts items to be displayed, or 1 for topic items to be displayed.';
$helptxt['sp_function_sp_calendarInformation_param1'] = 'Enable events from the calendar to be displayed.';
$helptxt['sp_function_sp_calendarInformation_param2'] = 'Enable upcoming events from the calendar to be displayed. This requires the ability to display events from the calendar. 0 = Only Events Today';
$helptxt['sp_function_sp_calendarInformation_param3'] = 'Display birthdays from the calendar.';
$helptxt['sp_function_sp_calendarInformation_param4'] = 'Display holidays from the calendar.';
$helptxt['sp_function_sp_html_content'] = 'Enter the custom HTML content in this box.';
$helptxt['sp_function_sp_bbc_content'] = 'Enter the custom BBC content in this box.';
$helptxt['sp_function_sp_php_content'] = 'Enter the custom PHP content in this box.';

?>